## org.eclipse.jst.jsf.context.symbol
Interface SymbolPackage

    public interface SymbolPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Provisional API - subject to change

See Also:
  `SymbolFactory`

Nested Class Summary
`static interface` `SymbolPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static java.lang.String` `copyright`
`static SymbolPackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `ERUNTIME_SOURCE` The meta object id for the '`ERuntime Source`' enum
`static int` `IBEAN_INSTANCE_SYMBOL` The meta object id for the '`IBean Instance Symbol`' class
`static int` `IBEAN_INSTANCE_SYMBOL__METHODS` The feature id for the 'Methods' reference list
`static int` `IBEAN_INSTANCE_SYMBOL__NAME` The feature id for the 'Name' attribute
`static int` `IBEAN_INSTANCE_SYMBOL__PROPERTIES` The feature id for the 'Properties' reference list
`static int` `IBEAN_INSTANCE_SYMBOL__READABLE` The feature id for the 'Readable' attribute
`static int` `IBEAN_INSTANCE_SYMBOL__RUNTIME_SOURCE` The feature id for the 'Runtime Source' attribute
`static int` `IBEAN_INSTANCE_SYMBOL__TYPE_DESCRIPTOR` The feature id for the 'Type Descriptor' reference
`static int` `IBEAN_INSTANCE_SYMBOL__TYPE_RESOLVED` The feature id for the 'Type Resolved' attribute
`static int` `IBEAN_INSTANCE_SYMBOL__WRITABLE` The feature id for the 'Writable' attribute
`static int` `IBEAN_INSTANCE_SYMBOL_FEATURE_COUNT` The number of structural features of the 'IBean Instance Symbol' class
`static int` `IBEAN_METHOD_SYMBOL` The meta object id for the '`IBean Method Symbol`' class
`static int` `IBEAN_METHOD_SYMBOL__NAME` The feature id for the 'Name' attribute
`static int` `IBEAN_METHOD_SYMBOL__OWNER` The feature id for the 'Owner' reference
`static int` `IBEAN_METHOD_SYMBOL__SIGNATURE` The feature id for the 'Signature' attribute
`static int` `IBEAN_METHOD_SYMBOL_FEATURE_COUNT` The number of structural features of the 'IBean Method Symbol' class
`static int` `IBEAN_PROPERTY_SYMBOL` The meta object id for the '`IBean Property Symbol`' class
`static int` `IBEAN_PROPERTY_SYMBOL__INTERMEDIATE` The feature id for the 'Intermediate' attribute
`static int` `IBEAN_PROPERTY_SYMBOL__NAME` The feature id for the 'Name' attribute
`static int` `IBEAN_PROPERTY_SYMBOL__OWNER` The feature id for the 'Owner' reference
`static int` `IBEAN_PROPERTY_SYMBOL__READABLE` The feature id for the 'Readable' attribute
`static int` `IBEAN_PROPERTY_SYMBOL__TYPE_DESCRIPTOR` The feature id for the 'Type Descriptor' reference
`static int` `IBEAN_PROPERTY_SYMBOL__WRITABLE` The feature id for the 'Writable' attribute
`static int` `IBEAN_PROPERTY_SYMBOL_FEATURE_COUNT` The number of structural features of the 'IBean Property Symbol' class
`static int` `IBOUNDED_JAVA_TYPE_DESCRIPTOR` The meta object id for the '`IBounded Java Type Descriptor`' class
`static int` `IBOUNDED_JAVA_TYPE_DESCRIPTOR__ARRAY_COUNT` The feature id for the 'Array Count' attribute
`static int` `IBOUNDED_JAVA_TYPE_DESCRIPTOR__BEAN_METHODS` The feature id for the 'Bean Methods' reference list
`static int` `IBOUNDED_JAVA_TYPE_DESCRIPTOR__BEAN_PROPERTIES` The feature id for the 'Bean Properties' reference list
`static int` `IBOUNDED_JAVA_TYPE_DESCRIPTOR__ENUM_TYPE` The feature id for the 'Enum Type' attribute
`static int` `IBOUNDED_JAVA_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES` The feature id for the 'Interface Type Signatures' attribute list
`static int` `IBOUNDED_JAVA_TYPE_DESCRIPTOR__JDT_CONTEXT` The feature id for the 'Jdt Context' attribute
`static int` `IBOUNDED_JAVA_TYPE_DESCRIPTOR__METHODS` The feature id for the 'Methods' reference list
`static int` `IBOUNDED_JAVA_TYPE_DESCRIPTOR__PROPERTIES` The feature id for the 'Properties' reference list
`static int` `IBOUNDED_JAVA_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES` The feature id for the 'Super Type Signatures' attribute list
`static int` `IBOUNDED_JAVA_TYPE_DESCRIPTOR__TYPE` The feature id for the 'Type' attribute
`static int` `IBOUNDED_JAVA_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES` The feature id for the 'Type Parameter Signatures' attribute list
`static int` `IBOUNDED_JAVA_TYPE_DESCRIPTOR__TYPE_SIGNATURE` The feature id for the 'Type Signature' attribute
`static int` `IBOUNDED_JAVA_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE` The feature id for the 'Type Signature Delegate' attribute
`static int` `IBOUNDED_JAVA_TYPE_DESCRIPTOR_FEATURE_COUNT` The number of structural features of the 'IBounded Java Type Descriptor' class
`static int` `IBOUNDED_LIST_TYPE_DESCRIPTOR` The meta object id for the '`IBounded List Type Descriptor`' class
`static int` `IBOUNDED_LIST_TYPE_DESCRIPTOR__ENUM_TYPE` The feature id for the 'Enum Type' attribute
`static int` `IBOUNDED_LIST_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES` The feature id for the 'Interface Type Signatures' attribute list
`static int` `IBOUNDED_LIST_TYPE_DESCRIPTOR__JDT_CONTEXT` The feature id for the 'Jdt Context' attribute
`static int` `IBOUNDED_LIST_TYPE_DESCRIPTOR__LIST_SOURCE` The feature id for the 'List Source' attribute
`static int` `IBOUNDED_LIST_TYPE_DESCRIPTOR__METHODS` The feature id for the 'Methods' reference list
`static int` `IBOUNDED_LIST_TYPE_DESCRIPTOR__PROPERTIES` The feature id for the 'Properties' reference list
`static int` `IBOUNDED_LIST_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES` The feature id for the 'Super Type Signatures' attribute list
`static int` `IBOUNDED_LIST_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES` The feature id for the 'Type Parameter Signatures' attribute list
`static int` `IBOUNDED_LIST_TYPE_DESCRIPTOR__TYPE_SIGNATURE` The feature id for the 'Type Signature' attribute
`static int` `IBOUNDED_LIST_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE` The feature id for the 'Type Signature Delegate' attribute
`static int` `IBOUNDED_LIST_TYPE_DESCRIPTOR_FEATURE_COUNT` The number of structural features of the 'IBounded List Type Descriptor' class
`static int` `IBOUNDED_MAP_TYPE_DESCRIPTOR` The meta object id for the '`IBounded Map Type Descriptor`' class
`static int` `IBOUNDED_MAP_TYPE_DESCRIPTOR__ENUM_TYPE` The feature id for the 'Enum Type' attribute
`static int` `IBOUNDED_MAP_TYPE_DESCRIPTOR__IMMUTABLE` The feature id for the 'Immutable' attribute
`static int` `IBOUNDED_MAP_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES` The feature id for the 'Interface Type Signatures' attribute list
`static int` `IBOUNDED_MAP_TYPE_DESCRIPTOR__JDT_CONTEXT` The feature id for the 'Jdt Context' attribute
`static int` `IBOUNDED_MAP_TYPE_DESCRIPTOR__MAP_SOURCE` The feature id for the 'Map Source' attribute
`static int` `IBOUNDED_MAP_TYPE_DESCRIPTOR__METHODS` The feature id for the 'Methods' reference list
`static int` `IBOUNDED_MAP_TYPE_DESCRIPTOR__PROPERTIES` The feature id for the 'Properties' reference list
`static int` `IBOUNDED_MAP_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES` The feature id for the 'Super Type Signatures' attribute list
`static int` `IBOUNDED_MAP_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES` The feature id for the 'Type Parameter Signatures' attribute list
`static int` `IBOUNDED_MAP_TYPE_DESCRIPTOR__TYPE_SIGNATURE` The feature id for the 'Type Signature' attribute
`static int` `IBOUNDED_MAP_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE` The feature id for the 'Type Signature Delegate' attribute
`static int` `IBOUNDED_MAP_TYPE_DESCRIPTOR_FEATURE_COUNT` The number of structural features of the 'IBounded Map Type Descriptor' class
`static int` `IBOUNDED_TYPE_DESCRIPTOR` The meta object id for the '`IBounded Type Descriptor`' class
`static int` `IBOUNDED_TYPE_DESCRIPTOR__ENUM_TYPE` The feature id for the 'Enum Type' attribute
`static int` `IBOUNDED_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES` The feature id for the 'Interface Type Signatures' attribute list
`static int` `IBOUNDED_TYPE_DESCRIPTOR__JDT_CONTEXT` The feature id for the 'Jdt Context' attribute
`static int` `IBOUNDED_TYPE_DESCRIPTOR__METHODS` The feature id for the 'Methods' reference list
`static int` `IBOUNDED_TYPE_DESCRIPTOR__PROPERTIES` The feature id for the 'Properties' reference list
`static int` `IBOUNDED_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES` The feature id for the 'Super Type Signatures' attribute list
`static int` `IBOUNDED_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES` The feature id for the 'Type Parameter Signatures' attribute list
`static int` `IBOUNDED_TYPE_DESCRIPTOR__TYPE_SIGNATURE` The feature id for the 'Type Signature' attribute
`static int` `IBOUNDED_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE` The feature id for the 'Type Signature Delegate' attribute
`static int` `IBOUNDED_TYPE_DESCRIPTOR_FEATURE_COUNT` The number of structural features of the 'IBounded Type Descriptor' class
`static int` `ICOMPONENT_SYMBOL` The meta object id for the '`IComponent Symbol`' class
`static int` `ICOMPONENT_SYMBOL__NAME` The feature id for the 'Name' attribute
`static int` `ICOMPONENT_SYMBOL__READABLE` The feature id for the 'Readable' attribute
`static int` `ICOMPONENT_SYMBOL__RUNTIME_SOURCE` The feature id for the 'Runtime Source' attribute
`static int` `ICOMPONENT_SYMBOL__TYPE_DESCRIPTOR` The feature id for the 'Type Descriptor' reference
`static int` `ICOMPONENT_SYMBOL__TYPE_RESOLVED` The feature id for the 'Type Resolved' attribute
`static int` `ICOMPONENT_SYMBOL__WRITABLE` The feature id for the 'Writable' attribute
`static int` `ICOMPONENT_SYMBOL_FEATURE_COUNT` The number of structural features of the 'IComponent Symbol' class
`static int` `IDESCRIBED_IN_DETAIL` The meta object id for the '`IDescribed In Detail`' class
`static int` `IDESCRIBED_IN_DETAIL_FEATURE_COUNT` The number of structural features of the 'IDescribed In Detail' class
`static int` `IINSTANCE_SYMBOL` The meta object id for the '`IInstance Symbol`' class
`static int` `IINSTANCE_SYMBOL__NAME` The feature id for the 'Name' attribute
`static int` `IINSTANCE_SYMBOL__READABLE` The feature id for the 'Readable' attribute
`static int` `IINSTANCE_SYMBOL__RUNTIME_SOURCE` The feature id for the 'Runtime Source' attribute
`static int` `IINSTANCE_SYMBOL__TYPE_DESCRIPTOR` The feature id for the 'Type Descriptor' reference
`static int` `IINSTANCE_SYMBOL__TYPE_RESOLVED` The feature id for the 'Type Resolved' attribute
`static int` `IINSTANCE_SYMBOL__WRITABLE` The feature id for the 'Writable' attribute
`static int` `IINSTANCE_SYMBOL_FEATURE_COUNT` The number of structural features of the 'IInstance Symbol' class
`static int` `IJAVA_ELEMENT` The meta object id for the 'IJava Element' data type
`static int` `IJAVA_SYMBOL` The meta object id for the '`IJava Symbol`' class
`static int` `IJAVA_SYMBOL__JAVA_ELEMENT` The feature id for the 'Java Element' attribute
`static int` `IJAVA_SYMBOL__NAME` The feature id for the 'Name' attribute
`static int` `IJAVA_SYMBOL_FEATURE_COUNT` The number of structural features of the 'IJava Symbol' class
`static int` `IJAVA_TYPE_DESCRIPTOR2` The meta object id for the '`IJava Type Descriptor2`' class
`static int` `IJAVA_TYPE_DESCRIPTOR2__ARRAY_COUNT` The feature id for the 'Array Count' attribute
`static int` `IJAVA_TYPE_DESCRIPTOR2__BEAN_METHODS` The feature id for the 'Bean Methods' reference list
`static int` `IJAVA_TYPE_DESCRIPTOR2__BEAN_PROPERTIES` The feature id for the 'Bean Properties' reference list
`static int` `IJAVA_TYPE_DESCRIPTOR2__ENUM_TYPE` The feature id for the 'Enum Type' attribute
`static int` `IJAVA_TYPE_DESCRIPTOR2__INTERFACE_TYPE_SIGNATURES` The feature id for the 'Interface Type Signatures' attribute list
`static int` `IJAVA_TYPE_DESCRIPTOR2__JDT_CONTEXT` The feature id for the 'Jdt Context' attribute
`static int` `IJAVA_TYPE_DESCRIPTOR2__METHODS` The feature id for the 'Methods' reference list
`static int` `IJAVA_TYPE_DESCRIPTOR2__PROPERTIES` The feature id for the 'Properties' reference list
`static int` `IJAVA_TYPE_DESCRIPTOR2__SUPER_TYPE_SIGNATURES` The feature id for the 'Super Type Signatures' attribute list
`static int` `IJAVA_TYPE_DESCRIPTOR2__TYPE` The feature id for the 'Type' attribute
`static int` `IJAVA_TYPE_DESCRIPTOR2__TYPE_PARAMETER_SIGNATURES` The feature id for the 'Type Parameter Signatures' attribute list
`static int` `IJAVA_TYPE_DESCRIPTOR2__TYPE_SIGNATURE` The feature id for the 'Type Signature' attribute
`static int` `IJAVA_TYPE_DESCRIPTOR2__TYPE_SIGNATURE_DELEGATE` The feature id for the 'Type Signature Delegate' attribute
`static int` `IJAVA_TYPE_DESCRIPTOR2_FEATURE_COUNT` The number of structural features of the 'IJava Type Descriptor2' class
`static int` `ILIST_TYPE_DESCRIPTOR` The meta object id for the '`IList Type Descriptor`' class
`static int` `ILIST_TYPE_DESCRIPTOR__ENUM_TYPE` The feature id for the 'Enum Type' attribute
`static int` `ILIST_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES` The feature id for the 'Interface Type Signatures' attribute list
`static int` `ILIST_TYPE_DESCRIPTOR__JDT_CONTEXT` The feature id for the 'Jdt Context' attribute
`static int` `ILIST_TYPE_DESCRIPTOR__LIST_SOURCE` The feature id for the 'List Source' attribute
`static int` `ILIST_TYPE_DESCRIPTOR__METHODS` The feature id for the 'Methods' reference list
`static int` `ILIST_TYPE_DESCRIPTOR__PROPERTIES` The feature id for the 'Properties' reference list
`static int` `ILIST_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES` The feature id for the 'Super Type Signatures' attribute list
`static int` `ILIST_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES` The feature id for the 'Type Parameter Signatures' attribute list
`static int` `ILIST_TYPE_DESCRIPTOR__TYPE_SIGNATURE` The feature id for the 'Type Signature' attribute
`static int` `ILIST_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE` The feature id for the 'Type Signature Delegate' attribute
`static int` `ILIST_TYPE_DESCRIPTOR_FEATURE_COUNT` The number of structural features of the 'IList Type Descriptor' class
`static int` `IMAP_TYPE_DESCRIPTOR` The meta object id for the '`IMap Type Descriptor`' class
`static int` `IMAP_TYPE_DESCRIPTOR__ENUM_TYPE` The feature id for the 'Enum Type' attribute
`static int` `IMAP_TYPE_DESCRIPTOR__IMMUTABLE` The feature id for the 'Immutable' attribute
`static int` `IMAP_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES` The feature id for the 'Interface Type Signatures' attribute list
`static int` `IMAP_TYPE_DESCRIPTOR__JDT_CONTEXT` The feature id for the 'Jdt Context' attribute
`static int` `IMAP_TYPE_DESCRIPTOR__MAP_SOURCE` The feature id for the 'Map Source' attribute
`static int` `IMAP_TYPE_DESCRIPTOR__METHODS` The feature id for the 'Methods' reference list
`static int` `IMAP_TYPE_DESCRIPTOR__PROPERTIES` The feature id for the 'Properties' reference list
`static int` `IMAP_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES` The feature id for the 'Super Type Signatures' attribute list
`static int` `IMAP_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES` The feature id for the 'Type Parameter Signatures' attribute list
`static int` `IMAP_TYPE_DESCRIPTOR__TYPE_SIGNATURE` The feature id for the 'Type Signature' attribute
`static int` `IMAP_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE` The feature id for the 'Type Signature Delegate' attribute
`static int` `IMAP_TYPE_DESCRIPTOR_FEATURE_COUNT` The number of structural features of the 'IMap Type Descriptor' class
`static int` `IMETHOD_SYMBOL` The meta object id for the '`IMethod Symbol`' class
`static int` `IMETHOD_SYMBOL__NAME` The feature id for the 'Name' attribute
`static int` `IMETHOD_SYMBOL__SIGNATURE` The feature id for the 'Signature' attribute
`static int` `IMETHOD_SYMBOL_FEATURE_COUNT` The number of structural features of the 'IMethod Symbol' class
`static int` `IOBJECT_SYMBOL` The meta object id for the '`IObject Symbol`' class
`static int` `IOBJECT_SYMBOL__NAME` The feature id for the 'Name' attribute
`static int` `IOBJECT_SYMBOL__READABLE` The feature id for the 'Readable' attribute
`static int` `IOBJECT_SYMBOL__TYPE_DESCRIPTOR` The feature id for the 'Type Descriptor' reference
`static int` `IOBJECT_SYMBOL__WRITABLE` The feature id for the 'Writable' attribute
`static int` `IOBJECT_SYMBOL_FEATURE_COUNT` The number of structural features of the 'IObject Symbol' class
`static int` `IPROPERTY_SYMBOL` The meta object id for the '`IProperty Symbol`' class
`static int` `IPROPERTY_SYMBOL__INTERMEDIATE` The feature id for the 'Intermediate' attribute
`static int` `IPROPERTY_SYMBOL__NAME` The feature id for the 'Name' attribute
`static int` `IPROPERTY_SYMBOL__READABLE` The feature id for the 'Readable' attribute
`static int` `IPROPERTY_SYMBOL__TYPE_DESCRIPTOR` The feature id for the 'Type Descriptor' reference
`static int` `IPROPERTY_SYMBOL__WRITABLE` The feature id for the 'Writable' attribute
`static int` `IPROPERTY_SYMBOL_FEATURE_COUNT` The number of structural features of the 'IProperty Symbol' class
`static int` `ISYMBOL` The meta object id for the '`ISymbol`' class
`static int` `ISYMBOL__NAME` The feature id for the 'Name' attribute
`static int` `ISYMBOL_FEATURE_COUNT` The number of structural features of the 'ISymbol' class
`static int` `ITYPE` The meta object id for the 'IType' data type
`static int` `ITYPE_DESCRIPTOR` The meta object id for the '`IType Descriptor`' class
`static int` `ITYPE_DESCRIPTOR__ENUM_TYPE` The feature id for the 'Enum Type' attribute
`static int` `ITYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES` The feature id for the 'Interface Type Signatures' attribute list
`static int` `ITYPE_DESCRIPTOR__JDT_CONTEXT` The feature id for the 'Jdt Context' attribute
`static int` `ITYPE_DESCRIPTOR__METHODS` The feature id for the 'Methods' reference list
`static int` `ITYPE_DESCRIPTOR__PROPERTIES` The feature id for the 'Properties' reference list
`static int` `ITYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES` The feature id for the 'Super Type Signatures' attribute list
`static int` `ITYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES` The feature id for the 'Type Parameter Signatures' attribute list
`static int` `ITYPE_DESCRIPTOR__TYPE_SIGNATURE` The feature id for the 'Type Signature' attribute
`static int` `ITYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE` The feature id for the 'Type Signature Delegate' attribute
`static int` `ITYPE_DESCRIPTOR_FEATURE_COUNT` The number of structural features of the 'IType Descriptor' class
`static int` `VALUE_TYPE` The meta object id for the 'Value Type' data type

Method Summary
`EEnum` `getERuntimeSource()` Returns the meta object for enum '`ERuntime Source`'
`EReference` `getIBeanInstanceSymbol_Methods()` Returns the meta object for the reference list '`Methods`'
`EReference` `getIBeanInstanceSymbol_Properties()` Returns the meta object for the reference list '`Properties`'
`EClass` `getIBeanInstanceSymbol()` Returns the meta object for class '`IBean Instance Symbol`'
`EReference` `getIBeanMethodSymbol_Owner()` Returns the meta object for the reference '`Owner`'
`EClass` `getIBeanMethodSymbol()` Returns the meta object for class '`IBean Method Symbol`'
`EReference` `getIBeanPropertySymbol_Owner()` Returns the meta object for the reference '`Owner`'
`EClass` `getIBeanPropertySymbol()` Returns the meta object for class '`IBean Property Symbol`'
`EClass` `getIBoundedJavaTypeDescriptor()` Returns the meta object for class '`IBounded Java Type Descriptor`'
`EClass` `getIBoundedListTypeDescriptor()` Returns the meta object for class '`IBounded List Type Descriptor`'
`EClass` `getIBoundedMapTypeDescriptor()` Returns the meta object for class '`IBounded Map Type Descriptor`'
`EClass` `getIBoundedTypeDescriptor()` Returns the meta object for class '`IBounded Type Descriptor`'
`EClass` `getIComponentSymbol()` Returns the meta object for class '`IComponent Symbol`'
`EClass` `getIDescribedInDetail()` Returns the meta object for class '`IDescribed In Detail`'
`EAttribute` `getIInstanceSymbol_RuntimeSource()` Returns the meta object for the attribute '`Runtime Source`'
`EAttribute` `getIInstanceSymbol_TypeResolved()` Returns the meta object for the attribute '`Type Resolved`'
`EClass` `getIInstanceSymbol()` Returns the meta object for class '`IInstance Symbol`'
`EDataType` `getIJavaElement()` Returns the meta object for data type '`IJava Element`'
`EAttribute` `getIJavaSymbol_JavaElement()` Returns the meta object for the attribute '`Java Element`'
`EClass` `getIJavaSymbol()` Returns the meta object for class '`IJava Symbol`'
`EAttribute` `getIJavaTypeDescriptor2_ArrayCount()` Returns the meta object for the attribute '`Array Count`'
`EReference` `getIJavaTypeDescriptor2_BeanMethods()` Returns the meta object for the reference list '`Bean Methods`'
`EReference` `getIJavaTypeDescriptor2_BeanProperties()` Returns the meta object for the reference list '`Bean Properties`'
`EAttribute` `getIJavaTypeDescriptor2_Type()` Returns the meta object for the attribute '`Type`'
`EClass` `getIJavaTypeDescriptor2()` Returns the meta object for class '`IJava Type Descriptor2`'
`EAttribute` `getIListTypeDescriptor_ListSource()` Returns the meta object for the attribute '`List Source`'
`EClass` `getIListTypeDescriptor()` Returns the meta object for class '`IList Type Descriptor`'
`EAttribute` `getIMapTypeDescriptor_Immutable()` Returns the meta object for the attribute '`Immutable`'
`EAttribute` `getIMapTypeDescriptor_MapSource()` Returns the meta object for the attribute '`Map Source`'
`EClass` `getIMapTypeDescriptor()` Returns the meta object for class '`IMap Type Descriptor`'
`EAttribute` `getIMethodSymbol_Signature()` Returns the meta object for the attribute '`Signature`'
`EClass` `getIMethodSymbol()` Returns the meta object for class '`IMethod Symbol`'
`EAttribute` `getIObjectSymbol_Readable()` Returns the meta object for the attribute '`Readable`'
`EReference` `getIObjectSymbol_TypeDescriptor()` Returns the meta object for the reference '`Type Descriptor`'
`EAttribute` `getIObjectSymbol_Writable()` Returns the meta object for the attribute '`Writable`'
`EClass` `getIObjectSymbol()` Returns the meta object for class '`IObject Symbol`'
`EAttribute` `getIPropertySymbol_Intermediate()` Returns the meta object for the attribute '`Intermediate`'
`EClass` `getIPropertySymbol()` Returns the meta object for class '`IProperty Symbol`'
`EAttribute` `getISymbol_Name()` Returns the meta object for the attribute '`Name`'
`EClass` `getISymbol()` Returns the meta object for class '`ISymbol`'
`EDataType` `getIType()` Returns the meta object for data type '`IType`'
`EAttribute` `getITypeDescriptor_EnumType()` Returns the meta object for the attribute '`Enum Type`'
`EAttribute` `getITypeDescriptor_InterfaceTypeSignatures()` Returns the meta object for the attribute list '`Interface Type Signatures`'
`EAttribute` `getITypeDescriptor_JdtContext()` Returns the meta object for the attribute '`Jdt Context`'
`EReference` `getITypeDescriptor_Methods()` Returns the meta object for the reference list '`Methods`'
`EReference` `getITypeDescriptor_Properties()` Returns the meta object for the reference list '`Properties`'
`EAttribute` `getITypeDescriptor_SuperTypeSignatures()` Returns the meta object for the attribute list '`Super Type Signatures`'
`EAttribute` `getITypeDescriptor_TypeParameterSignatures()` Returns the meta object for the attribute list '`Type Parameter Signatures`'
`EAttribute` `getITypeDescriptor_TypeSignature()` Returns the meta object for the attribute '`Type Signature`'
`EAttribute` `getITypeDescriptor_TypeSignatureDelegate()` Returns the meta object for the attribute '`Type Signature Delegate`'
`EClass` `getITypeDescriptor()` Returns the meta object for class '`IType Descriptor`'
`SymbolFactory` `getSymbolFactory()` Returns the factory that creates the instances of the model
`EDataType` `getValueType()` Returns the meta object for data type '`Value Type`'

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final SymbolPackage eINSTANCE

  The singleton instance of the package.

### ISYMBOL

    static final int ISYMBOL

  The meta object id for the '`ISymbol`' class.

  See Also:
    `ISymbol`, `SymbolPackageImpl.getISymbol()`, Constant Field Values

### ISYMBOL__NAME

    static final int ISYMBOL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ISYMBOL_FEATURE_COUNT

    static final int ISYMBOL_FEATURE_COUNT

  The number of structural features of the 'ISymbol' class.

  See Also:
    Constant Field Values

### IOBJECT_SYMBOL

    static final int IOBJECT_SYMBOL

  The meta object id for the '`IObject Symbol`' class.

  See Also:
    `IObjectSymbol`, `SymbolPackageImpl.getIObjectSymbol()`, Constant Field Values

### IOBJECT_SYMBOL__NAME

    static final int IOBJECT_SYMBOL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### IOBJECT_SYMBOL__TYPE_DESCRIPTOR

    static final int IOBJECT_SYMBOL__TYPE_DESCRIPTOR

  The feature id for the 'Type Descriptor' reference.

  See Also:
    Constant Field Values

### IOBJECT_SYMBOL__READABLE

    static final int IOBJECT_SYMBOL__READABLE

  The feature id for the 'Readable' attribute.

  See Also:
    Constant Field Values

### IOBJECT_SYMBOL__WRITABLE

    static final int IOBJECT_SYMBOL__WRITABLE

  The feature id for the 'Writable' attribute.

  See Also:
    Constant Field Values

### IOBJECT_SYMBOL_FEATURE_COUNT

    static final int IOBJECT_SYMBOL_FEATURE_COUNT

  The number of structural features of the 'IObject Symbol' class.

  See Also:
    Constant Field Values

### IINSTANCE_SYMBOL

    static final int IINSTANCE_SYMBOL

  The meta object id for the '`IInstance Symbol`' class.

  See Also:
    `IInstanceSymbolImpl`, `SymbolPackageImpl.getIInstanceSymbol()`, Constant Field Values

### IINSTANCE_SYMBOL__NAME

    static final int IINSTANCE_SYMBOL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### IINSTANCE_SYMBOL__TYPE_DESCRIPTOR

    static final int IINSTANCE_SYMBOL__TYPE_DESCRIPTOR

  The feature id for the 'Type Descriptor' reference.

  See Also:
    Constant Field Values

### IINSTANCE_SYMBOL__READABLE

    static final int IINSTANCE_SYMBOL__READABLE

  The feature id for the 'Readable' attribute.

  See Also:
    Constant Field Values

### IINSTANCE_SYMBOL__WRITABLE

    static final int IINSTANCE_SYMBOL__WRITABLE

  The feature id for the 'Writable' attribute.

  See Also:
    Constant Field Values

### IINSTANCE_SYMBOL__TYPE_RESOLVED

    static final int IINSTANCE_SYMBOL__TYPE_RESOLVED

  The feature id for the 'Type Resolved' attribute.

  See Also:
    Constant Field Values

### IINSTANCE_SYMBOL__RUNTIME_SOURCE

    static final int IINSTANCE_SYMBOL__RUNTIME_SOURCE

  The feature id for the 'Runtime Source' attribute.

  See Also:
    Constant Field Values

### IINSTANCE_SYMBOL_FEATURE_COUNT

    static final int IINSTANCE_SYMBOL_FEATURE_COUNT

  The number of structural features of the 'IInstance Symbol' class.

  See Also:
    Constant Field Values

### IBEAN_INSTANCE_SYMBOL

    static final int IBEAN_INSTANCE_SYMBOL

  The meta object id for the '`IBean Instance Symbol`' class.

  See Also:
    `IBeanInstanceSymbolImpl`, `SymbolPackageImpl.getIBeanInstanceSymbol()`, Constant Field Values

### IBEAN_INSTANCE_SYMBOL__NAME

    static final int IBEAN_INSTANCE_SYMBOL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### IBEAN_INSTANCE_SYMBOL__TYPE_DESCRIPTOR

    static final int IBEAN_INSTANCE_SYMBOL__TYPE_DESCRIPTOR

  The feature id for the 'Type Descriptor' reference.

  See Also:
    Constant Field Values

### IBEAN_INSTANCE_SYMBOL__READABLE

    static final int IBEAN_INSTANCE_SYMBOL__READABLE

  The feature id for the 'Readable' attribute.

  See Also:
    Constant Field Values

### IBEAN_INSTANCE_SYMBOL__WRITABLE

    static final int IBEAN_INSTANCE_SYMBOL__WRITABLE

  The feature id for the 'Writable' attribute.

  See Also:
    Constant Field Values

### IBEAN_INSTANCE_SYMBOL__TYPE_RESOLVED

    static final int IBEAN_INSTANCE_SYMBOL__TYPE_RESOLVED

  The feature id for the 'Type Resolved' attribute.

  See Also:
    Constant Field Values

### IBEAN_INSTANCE_SYMBOL__RUNTIME_SOURCE

    static final int IBEAN_INSTANCE_SYMBOL__RUNTIME_SOURCE

  The feature id for the 'Runtime Source' attribute.

  See Also:
    Constant Field Values

### IBEAN_INSTANCE_SYMBOL__PROPERTIES

    static final int IBEAN_INSTANCE_SYMBOL__PROPERTIES

  The feature id for the 'Properties' reference list.

  See Also:
    Constant Field Values

### IBEAN_INSTANCE_SYMBOL__METHODS

    static final int IBEAN_INSTANCE_SYMBOL__METHODS

  The feature id for the 'Methods' reference list.

  See Also:
    Constant Field Values

### IBEAN_INSTANCE_SYMBOL_FEATURE_COUNT

    static final int IBEAN_INSTANCE_SYMBOL_FEATURE_COUNT

  The number of structural features of the 'IBean Instance Symbol' class.

  See Also:
    Constant Field Values

### IPROPERTY_SYMBOL

    static final int IPROPERTY_SYMBOL

  The meta object id for the '`IProperty Symbol`' class.

  See Also:
    `IPropertySymbolImpl`, `SymbolPackageImpl.getIPropertySymbol()`, Constant Field Values

### IPROPERTY_SYMBOL__NAME

    static final int IPROPERTY_SYMBOL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### IPROPERTY_SYMBOL__TYPE_DESCRIPTOR

    static final int IPROPERTY_SYMBOL__TYPE_DESCRIPTOR

  The feature id for the 'Type Descriptor' reference.

  See Also:
    Constant Field Values

### IPROPERTY_SYMBOL__READABLE

    static final int IPROPERTY_SYMBOL__READABLE

  The feature id for the 'Readable' attribute.

  See Also:
    Constant Field Values

### IPROPERTY_SYMBOL__WRITABLE

    static final int IPROPERTY_SYMBOL__WRITABLE

  The feature id for the 'Writable' attribute.

  See Also:
    Constant Field Values

### IPROPERTY_SYMBOL__INTERMEDIATE

    static final int IPROPERTY_SYMBOL__INTERMEDIATE

  The feature id for the 'Intermediate' attribute.

  See Also:
    Constant Field Values

### IPROPERTY_SYMBOL_FEATURE_COUNT

    static final int IPROPERTY_SYMBOL_FEATURE_COUNT

  The number of structural features of the 'IProperty Symbol' class.

  See Also:
    Constant Field Values

### IBEAN_PROPERTY_SYMBOL

    static final int IBEAN_PROPERTY_SYMBOL

  The meta object id for the '`IBean Property Symbol`' class.

  See Also:
    `IBeanPropertySymbolImpl`, `SymbolPackageImpl.getIBeanPropertySymbol()`, Constant Field Values

### IBEAN_PROPERTY_SYMBOL__NAME

    static final int IBEAN_PROPERTY_SYMBOL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### IBEAN_PROPERTY_SYMBOL__TYPE_DESCRIPTOR

    static final int IBEAN_PROPERTY_SYMBOL__TYPE_DESCRIPTOR

  The feature id for the 'Type Descriptor' reference.

  See Also:
    Constant Field Values

### IBEAN_PROPERTY_SYMBOL__READABLE

    static final int IBEAN_PROPERTY_SYMBOL__READABLE

  The feature id for the 'Readable' attribute.

  See Also:
    Constant Field Values

### IBEAN_PROPERTY_SYMBOL__WRITABLE

    static final int IBEAN_PROPERTY_SYMBOL__WRITABLE

  The feature id for the 'Writable' attribute.

  See Also:
    Constant Field Values

### IBEAN_PROPERTY_SYMBOL__INTERMEDIATE

    static final int IBEAN_PROPERTY_SYMBOL__INTERMEDIATE

  The feature id for the 'Intermediate' attribute.

  See Also:
    Constant Field Values

### IBEAN_PROPERTY_SYMBOL__OWNER

    static final int IBEAN_PROPERTY_SYMBOL__OWNER

  The feature id for the 'Owner' reference.

  See Also:
    Constant Field Values

### IBEAN_PROPERTY_SYMBOL_FEATURE_COUNT

    static final int IBEAN_PROPERTY_SYMBOL_FEATURE_COUNT

  The number of structural features of the 'IBean Property Symbol' class.

  See Also:
    Constant Field Values

### IJAVA_SYMBOL

    static final int IJAVA_SYMBOL

  The meta object id for the '`IJava Symbol`' class.

  See Also:
    `IJavaSymbolImpl`, `SymbolPackageImpl.getIJavaSymbol()`, Constant Field Values

### IJAVA_SYMBOL__NAME

    static final int IJAVA_SYMBOL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### IJAVA_SYMBOL__JAVA_ELEMENT

    static final int IJAVA_SYMBOL__JAVA_ELEMENT

  The feature id for the 'Java Element' attribute.

  See Also:
    Constant Field Values

### IJAVA_SYMBOL_FEATURE_COUNT

    static final int IJAVA_SYMBOL_FEATURE_COUNT

  The number of structural features of the 'IJava Symbol' class.

  See Also:
    Constant Field Values

### ITYPE_DESCRIPTOR

    static final int ITYPE_DESCRIPTOR

  The meta object id for the '`IType Descriptor`' class.

  See Also:
    `ITypeDescriptorImpl`, `SymbolPackageImpl.getITypeDescriptor()`, Constant Field Values

### ITYPE_DESCRIPTOR__PROPERTIES

    static final int ITYPE_DESCRIPTOR__PROPERTIES

  The feature id for the 'Properties' reference list.

  See Also:
    Constant Field Values

### ITYPE_DESCRIPTOR__TYPE_SIGNATURE

    static final int ITYPE_DESCRIPTOR__TYPE_SIGNATURE

  The feature id for the 'Type Signature' attribute.

  See Also:
    Constant Field Values

### ITYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES

    static final int ITYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES

  The feature id for the 'Super Type Signatures' attribute list.

  See Also:
    Constant Field Values

### ITYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES

    static final int ITYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES

  The feature id for the 'Interface Type Signatures' attribute list.

  See Also:
    Constant Field Values

### ITYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE

    static final int ITYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE

  The feature id for the 'Type Signature Delegate' attribute.

  See Also:
    Constant Field Values

### ITYPE_DESCRIPTOR__METHODS

    static final int ITYPE_DESCRIPTOR__METHODS

  The feature id for the 'Methods' reference list.

  See Also:
    Constant Field Values

### ITYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES

    static final int ITYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES

  The feature id for the 'Type Parameter Signatures' attribute list.

  See Also:
    Constant Field Values

### ITYPE_DESCRIPTOR__JDT_CONTEXT

    static final int ITYPE_DESCRIPTOR__JDT_CONTEXT

  The feature id for the 'Jdt Context' attribute.

  See Also:
    Constant Field Values

### ITYPE_DESCRIPTOR__ENUM_TYPE

    static final int ITYPE_DESCRIPTOR__ENUM_TYPE

  The feature id for the 'Enum Type' attribute.

  See Also:
    Constant Field Values

### ITYPE_DESCRIPTOR_FEATURE_COUNT

    static final int ITYPE_DESCRIPTOR_FEATURE_COUNT

  The number of structural features of the 'IType Descriptor' class.

  See Also:
    Constant Field Values

### IDESCRIBED_IN_DETAIL

    static final int IDESCRIBED_IN_DETAIL

  The meta object id for the '`IDescribed In Detail`' class.

  See Also:
    `IDescribedInDetail`, `SymbolPackageImpl.getIDescribedInDetail()`, Constant Field Values

### IDESCRIBED_IN_DETAIL_FEATURE_COUNT

    static final int IDESCRIBED_IN_DETAIL_FEATURE_COUNT

  The number of structural features of the 'IDescribed In Detail' class.

  See Also:
    Constant Field Values

### IJAVA_TYPE_DESCRIPTOR2

    static final int IJAVA_TYPE_DESCRIPTOR2

  The meta object id for the '`IJava Type Descriptor2`' class.

  See Also:
    `IJavaTypeDescriptor2Impl`, `SymbolPackageImpl.getIJavaTypeDescriptor2()`, Constant Field Values

### IJAVA_TYPE_DESCRIPTOR2__PROPERTIES

    static final int IJAVA_TYPE_DESCRIPTOR2__PROPERTIES

  The feature id for the 'Properties' reference list.

  See Also:
    Constant Field Values

### IJAVA_TYPE_DESCRIPTOR2__TYPE_SIGNATURE

    static final int IJAVA_TYPE_DESCRIPTOR2__TYPE_SIGNATURE

  The feature id for the 'Type Signature' attribute.

  See Also:
    Constant Field Values

### IJAVA_TYPE_DESCRIPTOR2__SUPER_TYPE_SIGNATURES

    static final int IJAVA_TYPE_DESCRIPTOR2__SUPER_TYPE_SIGNATURES

  The feature id for the 'Super Type Signatures' attribute list.

  See Also:
    Constant Field Values

### IJAVA_TYPE_DESCRIPTOR2__INTERFACE_TYPE_SIGNATURES

    static final int IJAVA_TYPE_DESCRIPTOR2__INTERFACE_TYPE_SIGNATURES

  The feature id for the 'Interface Type Signatures' attribute list.

  See Also:
    Constant Field Values

### IJAVA_TYPE_DESCRIPTOR2__TYPE_SIGNATURE_DELEGATE

    static final int IJAVA_TYPE_DESCRIPTOR2__TYPE_SIGNATURE_DELEGATE

  The feature id for the 'Type Signature Delegate' attribute.

  See Also:
    Constant Field Values

### IJAVA_TYPE_DESCRIPTOR2__METHODS

    static final int IJAVA_TYPE_DESCRIPTOR2__METHODS

  The feature id for the 'Methods' reference list.

  See Also:
    Constant Field Values

### IJAVA_TYPE_DESCRIPTOR2__TYPE_PARAMETER_SIGNATURES

    static final int IJAVA_TYPE_DESCRIPTOR2__TYPE_PARAMETER_SIGNATURES

  The feature id for the 'Type Parameter Signatures' attribute list.

  See Also:
    Constant Field Values

### IJAVA_TYPE_DESCRIPTOR2__JDT_CONTEXT

    static final int IJAVA_TYPE_DESCRIPTOR2__JDT_CONTEXT

  The feature id for the 'Jdt Context' attribute.

  See Also:
    Constant Field Values

### IJAVA_TYPE_DESCRIPTOR2__ENUM_TYPE

    static final int IJAVA_TYPE_DESCRIPTOR2__ENUM_TYPE

  The feature id for the 'Enum Type' attribute.

  See Also:
    Constant Field Values

### IJAVA_TYPE_DESCRIPTOR2__TYPE

    static final int IJAVA_TYPE_DESCRIPTOR2__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values

### IJAVA_TYPE_DESCRIPTOR2__BEAN_PROPERTIES

    static final int IJAVA_TYPE_DESCRIPTOR2__BEAN_PROPERTIES

  The feature id for the 'Bean Properties' reference list.

  See Also:
    Constant Field Values

### IJAVA_TYPE_DESCRIPTOR2__BEAN_METHODS

    static final int IJAVA_TYPE_DESCRIPTOR2__BEAN_METHODS

  The feature id for the 'Bean Methods' reference list.

  See Also:
    Constant Field Values

### IJAVA_TYPE_DESCRIPTOR2__ARRAY_COUNT

    static final int IJAVA_TYPE_DESCRIPTOR2__ARRAY_COUNT

  The feature id for the 'Array Count' attribute.

  See Also:
    Constant Field Values

### IJAVA_TYPE_DESCRIPTOR2_FEATURE_COUNT

    static final int IJAVA_TYPE_DESCRIPTOR2_FEATURE_COUNT

  The number of structural features of the 'IJava Type Descriptor2' class.

  See Also:
    Constant Field Values

### IBEAN_METHOD_SYMBOL

    static final int IBEAN_METHOD_SYMBOL

  The meta object id for the '`IBean Method Symbol`' class.

  See Also:
    `IBeanMethodSymbolImpl`, `SymbolPackageImpl.getIBeanMethodSymbol()`, Constant Field Values

### IBEAN_METHOD_SYMBOL__NAME

    static final int IBEAN_METHOD_SYMBOL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### IBEAN_METHOD_SYMBOL__SIGNATURE

    static final int IBEAN_METHOD_SYMBOL__SIGNATURE

  The feature id for the 'Signature' attribute.

  See Also:
    Constant Field Values

### IBEAN_METHOD_SYMBOL__OWNER

    static final int IBEAN_METHOD_SYMBOL__OWNER

  The feature id for the 'Owner' reference.

  See Also:
    Constant Field Values

### IBEAN_METHOD_SYMBOL_FEATURE_COUNT

    static final int IBEAN_METHOD_SYMBOL_FEATURE_COUNT

  The number of structural features of the 'IBean Method Symbol' class.

  See Also:
    Constant Field Values

### ICOMPONENT_SYMBOL

    static final int ICOMPONENT_SYMBOL

  The meta object id for the '`IComponent Symbol`' class.

  See Also:
    `IComponentSymbolImpl`, `SymbolPackageImpl.getIComponentSymbol()`, Constant Field Values

### ICOMPONENT_SYMBOL__NAME

    static final int ICOMPONENT_SYMBOL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ICOMPONENT_SYMBOL__TYPE_DESCRIPTOR

    static final int ICOMPONENT_SYMBOL__TYPE_DESCRIPTOR

  The feature id for the 'Type Descriptor' reference.

  See Also:
    Constant Field Values

### ICOMPONENT_SYMBOL__READABLE

    static final int ICOMPONENT_SYMBOL__READABLE

  The feature id for the 'Readable' attribute.

  See Also:
    Constant Field Values

### ICOMPONENT_SYMBOL__WRITABLE

    static final int ICOMPONENT_SYMBOL__WRITABLE

  The feature id for the 'Writable' attribute.

  See Also:
    Constant Field Values

### ICOMPONENT_SYMBOL__TYPE_RESOLVED

    static final int ICOMPONENT_SYMBOL__TYPE_RESOLVED

  The feature id for the 'Type Resolved' attribute.

  See Also:
    Constant Field Values

### ICOMPONENT_SYMBOL__RUNTIME_SOURCE

    static final int ICOMPONENT_SYMBOL__RUNTIME_SOURCE

  The feature id for the 'Runtime Source' attribute.

  See Also:
    Constant Field Values

### ICOMPONENT_SYMBOL_FEATURE_COUNT

    static final int ICOMPONENT_SYMBOL_FEATURE_COUNT

  The number of structural features of the 'IComponent Symbol' class.

  See Also:
    Constant Field Values

### IMAP_TYPE_DESCRIPTOR

    static final int IMAP_TYPE_DESCRIPTOR

  The meta object id for the '`IMap Type Descriptor`' class.

  See Also:
    `IMapTypeDescriptorImpl`, `SymbolPackageImpl.getIMapTypeDescriptor()`, Constant Field Values

### IMAP_TYPE_DESCRIPTOR__PROPERTIES

    static final int IMAP_TYPE_DESCRIPTOR__PROPERTIES

  The feature id for the 'Properties' reference list.

  See Also:
    Constant Field Values

### IMAP_TYPE_DESCRIPTOR__TYPE_SIGNATURE

    static final int IMAP_TYPE_DESCRIPTOR__TYPE_SIGNATURE

  The feature id for the 'Type Signature' attribute.

  See Also:
    Constant Field Values

### IMAP_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES

    static final int IMAP_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES

  The feature id for the 'Super Type Signatures' attribute list.

  See Also:
    Constant Field Values

### IMAP_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES

    static final int IMAP_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES

  The feature id for the 'Interface Type Signatures' attribute list.

  See Also:
    Constant Field Values

### IMAP_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE

    static final int IMAP_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE

  The feature id for the 'Type Signature Delegate' attribute.

  See Also:
    Constant Field Values

### IMAP_TYPE_DESCRIPTOR__METHODS

    static final int IMAP_TYPE_DESCRIPTOR__METHODS

  The feature id for the 'Methods' reference list.

  See Also:
    Constant Field Values

### IMAP_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES

    static final int IMAP_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES

  The feature id for the 'Type Parameter Signatures' attribute list.

  See Also:
    Constant Field Values

### IMAP_TYPE_DESCRIPTOR__JDT_CONTEXT

    static final int IMAP_TYPE_DESCRIPTOR__JDT_CONTEXT

  The feature id for the 'Jdt Context' attribute.

  See Also:
    Constant Field Values

### IMAP_TYPE_DESCRIPTOR__ENUM_TYPE

    static final int IMAP_TYPE_DESCRIPTOR__ENUM_TYPE

  The feature id for the 'Enum Type' attribute.

  See Also:
    Constant Field Values

### IMAP_TYPE_DESCRIPTOR__MAP_SOURCE

    static final int IMAP_TYPE_DESCRIPTOR__MAP_SOURCE

  The feature id for the 'Map Source' attribute.

  See Also:
    Constant Field Values

### IMAP_TYPE_DESCRIPTOR__IMMUTABLE

    static final int IMAP_TYPE_DESCRIPTOR__IMMUTABLE

  The feature id for the 'Immutable' attribute.

  See Also:
    Constant Field Values

### IMAP_TYPE_DESCRIPTOR_FEATURE_COUNT

    static final int IMAP_TYPE_DESCRIPTOR_FEATURE_COUNT

  The number of structural features of the 'IMap Type Descriptor' class.

  See Also:
    Constant Field Values

### IMETHOD_SYMBOL

    static final int IMETHOD_SYMBOL

  The meta object id for the '`IMethod Symbol`' class.

  See Also:
    `IMethodSymbolImpl`, `SymbolPackageImpl.getIMethodSymbol()`, Constant Field Values

### IMETHOD_SYMBOL__NAME

    static final int IMETHOD_SYMBOL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### IMETHOD_SYMBOL__SIGNATURE

    static final int IMETHOD_SYMBOL__SIGNATURE

  The feature id for the 'Signature' attribute.

  See Also:
    Constant Field Values

### IMETHOD_SYMBOL_FEATURE_COUNT

    static final int IMETHOD_SYMBOL_FEATURE_COUNT

  The number of structural features of the 'IMethod Symbol' class.

  See Also:
    Constant Field Values

### IBOUNDED_TYPE_DESCRIPTOR

    static final int IBOUNDED_TYPE_DESCRIPTOR

  The meta object id for the '`IBounded Type Descriptor`' class.

  See Also:
    `IBoundedTypeDescriptor`, `SymbolPackageImpl.getIBoundedTypeDescriptor()`, Constant Field Values

### IBOUNDED_TYPE_DESCRIPTOR__PROPERTIES

    static final int IBOUNDED_TYPE_DESCRIPTOR__PROPERTIES

  The feature id for the 'Properties' reference list.

  See Also:
    Constant Field Values

### IBOUNDED_TYPE_DESCRIPTOR__TYPE_SIGNATURE

    static final int IBOUNDED_TYPE_DESCRIPTOR__TYPE_SIGNATURE

  The feature id for the 'Type Signature' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES

    static final int IBOUNDED_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES

  The feature id for the 'Super Type Signatures' attribute list.

  See Also:
    Constant Field Values

### IBOUNDED_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES

    static final int IBOUNDED_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES

  The feature id for the 'Interface Type Signatures' attribute list.

  See Also:
    Constant Field Values

### IBOUNDED_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE

    static final int IBOUNDED_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE

  The feature id for the 'Type Signature Delegate' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_TYPE_DESCRIPTOR__METHODS

    static final int IBOUNDED_TYPE_DESCRIPTOR__METHODS

  The feature id for the 'Methods' reference list.

  See Also:
    Constant Field Values

### IBOUNDED_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES

    static final int IBOUNDED_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES

  The feature id for the 'Type Parameter Signatures' attribute list.

  See Also:
    Constant Field Values

### IBOUNDED_TYPE_DESCRIPTOR__JDT_CONTEXT

    static final int IBOUNDED_TYPE_DESCRIPTOR__JDT_CONTEXT

  The feature id for the 'Jdt Context' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_TYPE_DESCRIPTOR__ENUM_TYPE

    static final int IBOUNDED_TYPE_DESCRIPTOR__ENUM_TYPE

  The feature id for the 'Enum Type' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_TYPE_DESCRIPTOR_FEATURE_COUNT

    static final int IBOUNDED_TYPE_DESCRIPTOR_FEATURE_COUNT

  The number of structural features of the 'IBounded Type Descriptor' class.

  See Also:
    Constant Field Values

### IBOUNDED_MAP_TYPE_DESCRIPTOR

    static final int IBOUNDED_MAP_TYPE_DESCRIPTOR

  The meta object id for the '`IBounded Map Type Descriptor`' class.

  See Also:
    `IBoundedMapTypeDescriptorImpl`, `SymbolPackageImpl.getIBoundedMapTypeDescriptor()`, Constant Field Values

### IBOUNDED_MAP_TYPE_DESCRIPTOR__PROPERTIES

    static final int IBOUNDED_MAP_TYPE_DESCRIPTOR__PROPERTIES

  The feature id for the 'Properties' reference list.

  See Also:
    Constant Field Values

### IBOUNDED_MAP_TYPE_DESCRIPTOR__TYPE_SIGNATURE

    static final int IBOUNDED_MAP_TYPE_DESCRIPTOR__TYPE_SIGNATURE

  The feature id for the 'Type Signature' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_MAP_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES

    static final int IBOUNDED_MAP_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES

  The feature id for the 'Super Type Signatures' attribute list.

  See Also:
    Constant Field Values

### IBOUNDED_MAP_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES

    static final int IBOUNDED_MAP_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES

  The feature id for the 'Interface Type Signatures' attribute list.

  See Also:
    Constant Field Values

### IBOUNDED_MAP_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE

    static final int IBOUNDED_MAP_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE

  The feature id for the 'Type Signature Delegate' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_MAP_TYPE_DESCRIPTOR__METHODS

    static final int IBOUNDED_MAP_TYPE_DESCRIPTOR__METHODS

  The feature id for the 'Methods' reference list.

  See Also:
    Constant Field Values

### IBOUNDED_MAP_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES

    static final int IBOUNDED_MAP_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES

  The feature id for the 'Type Parameter Signatures' attribute list.

  See Also:
    Constant Field Values

### IBOUNDED_MAP_TYPE_DESCRIPTOR__JDT_CONTEXT

    static final int IBOUNDED_MAP_TYPE_DESCRIPTOR__JDT_CONTEXT

  The feature id for the 'Jdt Context' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_MAP_TYPE_DESCRIPTOR__ENUM_TYPE

    static final int IBOUNDED_MAP_TYPE_DESCRIPTOR__ENUM_TYPE

  The feature id for the 'Enum Type' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_MAP_TYPE_DESCRIPTOR__MAP_SOURCE

    static final int IBOUNDED_MAP_TYPE_DESCRIPTOR__MAP_SOURCE

  The feature id for the 'Map Source' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_MAP_TYPE_DESCRIPTOR__IMMUTABLE

    static final int IBOUNDED_MAP_TYPE_DESCRIPTOR__IMMUTABLE

  The feature id for the 'Immutable' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_MAP_TYPE_DESCRIPTOR_FEATURE_COUNT

    static final int IBOUNDED_MAP_TYPE_DESCRIPTOR_FEATURE_COUNT

  The number of structural features of the 'IBounded Map Type Descriptor' class.

  See Also:
    Constant Field Values

### IBOUNDED_JAVA_TYPE_DESCRIPTOR

    static final int IBOUNDED_JAVA_TYPE_DESCRIPTOR

  The meta object id for the '`IBounded Java Type Descriptor`' class.

  See Also:
    `IBoundedJavaTypeDescriptorImpl`, `SymbolPackageImpl.getIBoundedJavaTypeDescriptor()`, Constant Field Values

### IBOUNDED_JAVA_TYPE_DESCRIPTOR__PROPERTIES

    static final int IBOUNDED_JAVA_TYPE_DESCRIPTOR__PROPERTIES

  The feature id for the 'Properties' reference list.

  See Also:
    Constant Field Values

### IBOUNDED_JAVA_TYPE_DESCRIPTOR__TYPE_SIGNATURE

    static final int IBOUNDED_JAVA_TYPE_DESCRIPTOR__TYPE_SIGNATURE

  The feature id for the 'Type Signature' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_JAVA_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES

    static final int IBOUNDED_JAVA_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES

  The feature id for the 'Super Type Signatures' attribute list.

  See Also:
    Constant Field Values

### IBOUNDED_JAVA_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES

    static final int IBOUNDED_JAVA_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES

  The feature id for the 'Interface Type Signatures' attribute list.

  See Also:
    Constant Field Values

### IBOUNDED_JAVA_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE

    static final int IBOUNDED_JAVA_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE

  The feature id for the 'Type Signature Delegate' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_JAVA_TYPE_DESCRIPTOR__METHODS

    static final int IBOUNDED_JAVA_TYPE_DESCRIPTOR__METHODS

  The feature id for the 'Methods' reference list.

  See Also:
    Constant Field Values

### IBOUNDED_JAVA_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES

    static final int IBOUNDED_JAVA_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES

  The feature id for the 'Type Parameter Signatures' attribute list.

  See Also:
    Constant Field Values

### IBOUNDED_JAVA_TYPE_DESCRIPTOR__JDT_CONTEXT

    static final int IBOUNDED_JAVA_TYPE_DESCRIPTOR__JDT_CONTEXT

  The feature id for the 'Jdt Context' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_JAVA_TYPE_DESCRIPTOR__ENUM_TYPE

    static final int IBOUNDED_JAVA_TYPE_DESCRIPTOR__ENUM_TYPE

  The feature id for the 'Enum Type' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_JAVA_TYPE_DESCRIPTOR__TYPE

    static final int IBOUNDED_JAVA_TYPE_DESCRIPTOR__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_JAVA_TYPE_DESCRIPTOR__BEAN_PROPERTIES

    static final int IBOUNDED_JAVA_TYPE_DESCRIPTOR__BEAN_PROPERTIES

  The feature id for the 'Bean Properties' reference list.

  See Also:
    Constant Field Values

### IBOUNDED_JAVA_TYPE_DESCRIPTOR__BEAN_METHODS

    static final int IBOUNDED_JAVA_TYPE_DESCRIPTOR__BEAN_METHODS

  The feature id for the 'Bean Methods' reference list.

  See Also:
    Constant Field Values

### IBOUNDED_JAVA_TYPE_DESCRIPTOR__ARRAY_COUNT

    static final int IBOUNDED_JAVA_TYPE_DESCRIPTOR__ARRAY_COUNT

  The feature id for the 'Array Count' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_JAVA_TYPE_DESCRIPTOR_FEATURE_COUNT

    static final int IBOUNDED_JAVA_TYPE_DESCRIPTOR_FEATURE_COUNT

  The number of structural features of the 'IBounded Java Type Descriptor' class.

  See Also:
    Constant Field Values

### ILIST_TYPE_DESCRIPTOR

    static final int ILIST_TYPE_DESCRIPTOR

  The meta object id for the '`IList Type Descriptor`' class.

  See Also:
    `IListTypeDescriptorImpl`, `SymbolPackageImpl.getIListTypeDescriptor()`, Constant Field Values

### ILIST_TYPE_DESCRIPTOR__PROPERTIES

    static final int ILIST_TYPE_DESCRIPTOR__PROPERTIES

  The feature id for the 'Properties' reference list.

  See Also:
    Constant Field Values

### ILIST_TYPE_DESCRIPTOR__TYPE_SIGNATURE

    static final int ILIST_TYPE_DESCRIPTOR__TYPE_SIGNATURE

  The feature id for the 'Type Signature' attribute.

  See Also:
    Constant Field Values

### ILIST_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES

    static final int ILIST_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES

  The feature id for the 'Super Type Signatures' attribute list.

  See Also:
    Constant Field Values

### ILIST_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES

    static final int ILIST_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES

  The feature id for the 'Interface Type Signatures' attribute list.

  See Also:
    Constant Field Values

### ILIST_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE

    static final int ILIST_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE

  The feature id for the 'Type Signature Delegate' attribute.

  See Also:
    Constant Field Values

### ILIST_TYPE_DESCRIPTOR__METHODS

    static final int ILIST_TYPE_DESCRIPTOR__METHODS

  The feature id for the 'Methods' reference list.

  See Also:
    Constant Field Values

### ILIST_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES

    static final int ILIST_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES

  The feature id for the 'Type Parameter Signatures' attribute list.

  See Also:
    Constant Field Values

### ILIST_TYPE_DESCRIPTOR__JDT_CONTEXT

    static final int ILIST_TYPE_DESCRIPTOR__JDT_CONTEXT

  The feature id for the 'Jdt Context' attribute.

  See Also:
    Constant Field Values

### ILIST_TYPE_DESCRIPTOR__ENUM_TYPE

    static final int ILIST_TYPE_DESCRIPTOR__ENUM_TYPE

  The feature id for the 'Enum Type' attribute.

  See Also:
    Constant Field Values

### ILIST_TYPE_DESCRIPTOR__LIST_SOURCE

    static final int ILIST_TYPE_DESCRIPTOR__LIST_SOURCE

  The feature id for the 'List Source' attribute.

  See Also:
    Constant Field Values

### ILIST_TYPE_DESCRIPTOR_FEATURE_COUNT

    static final int ILIST_TYPE_DESCRIPTOR_FEATURE_COUNT

  The number of structural features of the 'IList Type Descriptor' class.

  See Also:
    Constant Field Values

### IBOUNDED_LIST_TYPE_DESCRIPTOR

    static final int IBOUNDED_LIST_TYPE_DESCRIPTOR

  The meta object id for the '`IBounded List Type Descriptor`' class.

  See Also:
    `IBoundedListTypeDescriptorImpl`, `SymbolPackageImpl.getIBoundedListTypeDescriptor()`, Constant Field Values

### IBOUNDED_LIST_TYPE_DESCRIPTOR__PROPERTIES

    static final int IBOUNDED_LIST_TYPE_DESCRIPTOR__PROPERTIES

  The feature id for the 'Properties' reference list.

  See Also:
    Constant Field Values

### IBOUNDED_LIST_TYPE_DESCRIPTOR__TYPE_SIGNATURE

    static final int IBOUNDED_LIST_TYPE_DESCRIPTOR__TYPE_SIGNATURE

  The feature id for the 'Type Signature' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_LIST_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES

    static final int IBOUNDED_LIST_TYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES

  The feature id for the 'Super Type Signatures' attribute list.

  See Also:
    Constant Field Values

### IBOUNDED_LIST_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES

    static final int IBOUNDED_LIST_TYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES

  The feature id for the 'Interface Type Signatures' attribute list.

  See Also:
    Constant Field Values

### IBOUNDED_LIST_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE

    static final int IBOUNDED_LIST_TYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE

  The feature id for the 'Type Signature Delegate' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_LIST_TYPE_DESCRIPTOR__METHODS

    static final int IBOUNDED_LIST_TYPE_DESCRIPTOR__METHODS

  The feature id for the 'Methods' reference list.

  See Also:
    Constant Field Values

### IBOUNDED_LIST_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES

    static final int IBOUNDED_LIST_TYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES

  The feature id for the 'Type Parameter Signatures' attribute list.

  See Also:
    Constant Field Values

### IBOUNDED_LIST_TYPE_DESCRIPTOR__JDT_CONTEXT

    static final int IBOUNDED_LIST_TYPE_DESCRIPTOR__JDT_CONTEXT

  The feature id for the 'Jdt Context' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_LIST_TYPE_DESCRIPTOR__ENUM_TYPE

    static final int IBOUNDED_LIST_TYPE_DESCRIPTOR__ENUM_TYPE

  The feature id for the 'Enum Type' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_LIST_TYPE_DESCRIPTOR__LIST_SOURCE

    static final int IBOUNDED_LIST_TYPE_DESCRIPTOR__LIST_SOURCE

  The feature id for the 'List Source' attribute.

  See Also:
    Constant Field Values

### IBOUNDED_LIST_TYPE_DESCRIPTOR_FEATURE_COUNT

    static final int IBOUNDED_LIST_TYPE_DESCRIPTOR_FEATURE_COUNT

  The number of structural features of the 'IBounded List Type Descriptor' class.

  See Also:
    Constant Field Values

### ERUNTIME_SOURCE

    static final int ERUNTIME_SOURCE

  The meta object id for the '`ERuntime Source`' enum.

  See Also:
    `ERuntimeSource`, `SymbolPackageImpl.getERuntimeSource()`, Constant Field Values

### ITYPE

    static final int ITYPE

  The meta object id for the 'IType' data type.

  See Also:
    `org.eclipse.jdt.core.IType`, `SymbolPackageImpl.getIType()`, Constant Field Values

### IJAVA_ELEMENT

    static final int IJAVA_ELEMENT

  The meta object id for the 'IJava Element' data type.

  See Also:
    `org.eclipse.jdt.core.IJavaElement`, `SymbolPackageImpl.getIJavaElement()`, Constant Field Values

### VALUE_TYPE

    static final int VALUE_TYPE

  The meta object id for the 'Value Type' data type.

  See Also:
    `ValueType`, `SymbolPackageImpl.getValueType()`, Constant Field Values

Method Detail

### getIBeanInstanceSymbol

    EClass getIBeanInstanceSymbol()

  Returns the meta object for class '`IBean Instance Symbol`'.

  Returns:
    the meta object for class 'IBean Instance Symbol'.
  See Also:
    `IBeanInstanceSymbol`

### getIBeanInstanceSymbol_Properties

    EReference getIBeanInstanceSymbol_Properties()

  Returns the meta object for the reference list '`Properties`'.

  Returns:
    the meta object for the reference list 'Properties'.
  See Also:
    `IBeanInstanceSymbol.getProperties()`, `getIBeanInstanceSymbol()`

### getIBeanInstanceSymbol_Methods

    EReference getIBeanInstanceSymbol_Methods()

  Returns the meta object for the reference list '`Methods`'.

  Returns:
    the meta object for the reference list 'Methods'.
  See Also:
    `IBeanInstanceSymbol.getMethods()`, `getIBeanInstanceSymbol()`

### getIBeanPropertySymbol

    EClass getIBeanPropertySymbol()

  Returns the meta object for class '`IBean Property Symbol`'.

  Returns:
    the meta object for class 'IBean Property Symbol'.
  See Also:
    `IBeanPropertySymbol`

### getIBeanPropertySymbol_Owner

    EReference getIBeanPropertySymbol_Owner()

  Returns the meta object for the reference '`Owner`'.

  Returns:
    the meta object for the reference 'Owner'.
  See Also:
    `IBeanPropertySymbol.getOwner()`, `getIBeanPropertySymbol()`

### getIInstanceSymbol

    EClass getIInstanceSymbol()

  Returns the meta object for class '`IInstance Symbol`'.

  Returns:
    the meta object for class 'IInstance Symbol'.
  See Also:
    `IInstanceSymbol`

### getIInstanceSymbol_TypeResolved

    EAttribute getIInstanceSymbol_TypeResolved()

  Returns the meta object for the attribute '`Type Resolved`'.

  Returns:
    the meta object for the attribute 'Type Resolved'.
  See Also:
    `IInstanceSymbol.isTypeResolved()`, `getIInstanceSymbol()`

### getIInstanceSymbol_RuntimeSource

    EAttribute getIInstanceSymbol_RuntimeSource()

  Returns the meta object for the attribute '`Runtime Source`'.

  Returns:
    the meta object for the attribute 'Runtime Source'.
  See Also:
    `IInstanceSymbol.getRuntimeSource()`, `getIInstanceSymbol()`

### getIJavaSymbol

    EClass getIJavaSymbol()

  Returns the meta object for class '`IJava Symbol`'.

  Returns:
    the meta object for class 'IJava Symbol'.
  See Also:
    `IJavaSymbol`

### getIJavaSymbol_JavaElement

    EAttribute getIJavaSymbol_JavaElement()

  Returns the meta object for the attribute '`Java Element`'.

  Returns:
    the meta object for the attribute 'Java Element'.
  See Also:
    `IJavaSymbol.getJavaElement()`, `getIJavaSymbol()`

### getISymbol

    EClass getISymbol()

  Returns the meta object for class '`ISymbol`'.

  Returns:
    the meta object for class 'ISymbol'.
  See Also:
    `ISymbol`

### getISymbol_Name

    EAttribute getISymbol_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `ISymbol.getName()`, `getISymbol()`

### getITypeDescriptor

    EClass getITypeDescriptor()

  Returns the meta object for class '`IType Descriptor`'.

  Returns:
    the meta object for class 'IType Descriptor'.
  See Also:
    `ITypeDescriptor`

### getITypeDescriptor_Properties

    EReference getITypeDescriptor_Properties()

  Returns the meta object for the reference list '`Properties`'.

  Returns:
    the meta object for the reference list 'Properties'.
  See Also:
    `ITypeDescriptor.getProperties()`, `getITypeDescriptor()`

### getITypeDescriptor_TypeSignature

    EAttribute getITypeDescriptor_TypeSignature()

  Returns the meta object for the attribute '`Type Signature`'.

  Returns:
    the meta object for the attribute 'Type Signature'.
  See Also:
    `ITypeDescriptor.getTypeSignature()`, `getITypeDescriptor()`

### getITypeDescriptor_SuperTypeSignatures

    EAttribute getITypeDescriptor_SuperTypeSignatures()

  Returns the meta object for the attribute list '`Super Type Signatures`'.

  Returns:
    the meta object for the attribute list 'Super Type Signatures'.
  See Also:
    `ITypeDescriptor.getSuperTypeSignatures()`, `getITypeDescriptor()`

### getITypeDescriptor_InterfaceTypeSignatures

    EAttribute getITypeDescriptor_InterfaceTypeSignatures()

  Returns the meta object for the attribute list '`Interface Type Signatures`'.

  Returns:
    the meta object for the attribute list 'Interface Type Signatures'.
  See Also:
    `ITypeDescriptor.getInterfaceTypeSignatures()`, `getITypeDescriptor()`

### getITypeDescriptor_TypeSignatureDelegate

    EAttribute getITypeDescriptor_TypeSignatureDelegate()

  Returns the meta object for the attribute '`Type Signature Delegate`'.

  Returns:
    the meta object for the attribute 'Type Signature Delegate'.
  See Also:
    `ITypeDescriptor.getTypeSignatureDelegate()`, `getITypeDescriptor()`

### getITypeDescriptor_Methods

    EReference getITypeDescriptor_Methods()

  Returns the meta object for the reference list '`Methods`'.

  Returns:
    the meta object for the reference list 'Methods'.
  See Also:
    `ITypeDescriptor.getMethods()`, `getITypeDescriptor()`

### getITypeDescriptor_TypeParameterSignatures

    EAttribute getITypeDescriptor_TypeParameterSignatures()

  Returns the meta object for the attribute list '`Type Parameter Signatures`'.

  Returns:
    the meta object for the attribute list 'Type Parameter Signatures'.
  See Also:
    `ITypeDescriptor.getTypeParameterSignatures()`, `getITypeDescriptor()`

### getITypeDescriptor_JdtContext

    EAttribute getITypeDescriptor_JdtContext()

  Returns the meta object for the attribute '`Jdt Context`'.

  Returns:
    the meta object for the attribute 'Jdt Context'.
  See Also:
    `ITypeDescriptor.getJdtContext()`, `getITypeDescriptor()`

### getITypeDescriptor_EnumType

    EAttribute getITypeDescriptor_EnumType()

  Returns the meta object for the attribute '`Enum Type`'.

  Returns:
    the meta object for the attribute 'Enum Type'.
  See Also:
    `ITypeDescriptor.isEnumType()`, `getITypeDescriptor()`

### getIDescribedInDetail

    EClass getIDescribedInDetail()

  Returns the meta object for class '`IDescribed In Detail`'.

  Returns:
    the meta object for class 'IDescribed In Detail'.
  See Also:
    `IDescribedInDetail`

### getIJavaTypeDescriptor2

    EClass getIJavaTypeDescriptor2()

  Returns the meta object for class '`IJava Type Descriptor2`'.

  Returns:
    the meta object for class 'IJava Type Descriptor2'.
  See Also:
    `IJavaTypeDescriptor2`

### getIJavaTypeDescriptor2_Type

    EAttribute getIJavaTypeDescriptor2_Type()

  Returns the meta object for the attribute '`Type`'.

  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `IJavaTypeDescriptor2.getType()`, `getIJavaTypeDescriptor2()`

### getIJavaTypeDescriptor2_BeanProperties

    EReference getIJavaTypeDescriptor2_BeanProperties()

  Returns the meta object for the reference list '`Bean Properties`'.

  Returns:
    the meta object for the reference list 'Bean Properties'.
  See Also:
    `IJavaTypeDescriptor2.getBeanProperties()`, `getIJavaTypeDescriptor2()`

### getIJavaTypeDescriptor2_BeanMethods

    EReference getIJavaTypeDescriptor2_BeanMethods()

  Returns the meta object for the reference list '`Bean Methods`'.

  Returns:
    the meta object for the reference list 'Bean Methods'.
  See Also:
    `IJavaTypeDescriptor2.getBeanMethods()`, `getIJavaTypeDescriptor2()`

### getIJavaTypeDescriptor2_ArrayCount

    EAttribute getIJavaTypeDescriptor2_ArrayCount()

  Returns the meta object for the attribute '`Array Count`'.

  Returns:
    the meta object for the attribute 'Array Count'.
  See Also:
    `IJavaTypeDescriptor2.getArrayCount()`, `getIJavaTypeDescriptor2()`

### getIBeanMethodSymbol

    EClass getIBeanMethodSymbol()

  Returns the meta object for class '`IBean Method Symbol`'.

  Returns:
    the meta object for class 'IBean Method Symbol'.
  See Also:
    `IBeanMethodSymbol`

### getIBeanMethodSymbol_Owner

    EReference getIBeanMethodSymbol_Owner()

  Returns the meta object for the reference '`Owner`'.

  Returns:
    the meta object for the reference 'Owner'.
  See Also:
    `IBeanMethodSymbol.getOwner()`, `getIBeanMethodSymbol()`

### getIComponentSymbol

    EClass getIComponentSymbol()

  Returns the meta object for class '`IComponent Symbol`'.

  Returns:
    the meta object for class 'IComponent Symbol'.
  See Also:
    `IComponentSymbol`

### getIPropertySymbol

    EClass getIPropertySymbol()

  Returns the meta object for class '`IProperty Symbol`'.

  Returns:
    the meta object for class 'IProperty Symbol'.
  See Also:
    `IPropertySymbol`

### getIPropertySymbol_Intermediate

    EAttribute getIPropertySymbol_Intermediate()

  Returns the meta object for the attribute '`Intermediate`'.

  Returns:
    the meta object for the attribute 'Intermediate'.
  See Also:
    `IPropertySymbol.isIntermediate()`, `getIPropertySymbol()`

### getIMapTypeDescriptor

    EClass getIMapTypeDescriptor()

  Returns the meta object for class '`IMap Type Descriptor`'.

  Returns:
    the meta object for class 'IMap Type Descriptor'.
  See Also:
    `IMapTypeDescriptor`

### getIMapTypeDescriptor_MapSource

    EAttribute getIMapTypeDescriptor_MapSource()

  Returns the meta object for the attribute '`Map Source`'.

  Returns:
    the meta object for the attribute 'Map Source'.
  See Also:
    `IMapTypeDescriptor.getMapSource()`, `getIMapTypeDescriptor()`

### getIMapTypeDescriptor_Immutable

    EAttribute getIMapTypeDescriptor_Immutable()

  Returns the meta object for the attribute '`Immutable`'.

  Returns:
    the meta object for the attribute 'Immutable'.
  See Also:
    `IMapTypeDescriptor.isImmutable()`, `getIMapTypeDescriptor()`

### getIMethodSymbol

    EClass getIMethodSymbol()

  Returns the meta object for class '`IMethod Symbol`'.

  Returns:
    the meta object for class 'IMethod Symbol'.
  See Also:
    `IMethodSymbol`

### getIMethodSymbol_Signature

    EAttribute getIMethodSymbol_Signature()

  Returns the meta object for the attribute '`Signature`'.

  Returns:
    the meta object for the attribute 'Signature'.
  See Also:
    `IMethodSymbol.getSignature()`, `getIMethodSymbol()`

### getIObjectSymbol

    EClass getIObjectSymbol()

  Returns the meta object for class '`IObject Symbol`'.

  Returns:
    the meta object for class 'IObject Symbol'.
  See Also:
    `IObjectSymbol`

### getIObjectSymbol_TypeDescriptor

    EReference getIObjectSymbol_TypeDescriptor()

  Returns the meta object for the reference '`Type Descriptor`'.

  Returns:
    the meta object for the reference 'Type Descriptor'.
  See Also:
    `IObjectSymbol.getTypeDescriptor()`, `getIObjectSymbol()`

### getIObjectSymbol_Readable

    EAttribute getIObjectSymbol_Readable()

  Returns the meta object for the attribute '`Readable`'.

  Returns:
    the meta object for the attribute 'Readable'.
  See Also:
    `IObjectSymbol.isReadable()`, `getIObjectSymbol()`

### getIObjectSymbol_Writable

    EAttribute getIObjectSymbol_Writable()

  Returns the meta object for the attribute '`Writable`'.

  Returns:
    the meta object for the attribute 'Writable'.
  See Also:
    `IObjectSymbol.isWritable()`, `getIObjectSymbol()`

### getIBoundedTypeDescriptor

    EClass getIBoundedTypeDescriptor()

  Returns the meta object for class '`IBounded Type Descriptor`'.

  Returns:
    the meta object for class 'IBounded Type Descriptor'.
  See Also:
    `IBoundedTypeDescriptor`

### getIBoundedMapTypeDescriptor

    EClass getIBoundedMapTypeDescriptor()

  Returns the meta object for class '`IBounded Map Type Descriptor`'.

  Returns:
    the meta object for class 'IBounded Map Type Descriptor'.
  See Also:
    `IBoundedMapTypeDescriptor`

### getIBoundedJavaTypeDescriptor

    EClass getIBoundedJavaTypeDescriptor()

  Returns the meta object for class '`IBounded Java Type Descriptor`'.

  Returns:
    the meta object for class 'IBounded Java Type Descriptor'.
  See Also:
    `IBoundedJavaTypeDescriptor`

### getIListTypeDescriptor

    EClass getIListTypeDescriptor()

  Returns the meta object for class '`IList Type Descriptor`'.

  Returns:
    the meta object for class 'IList Type Descriptor'.
  See Also:
    `IListTypeDescriptor`

### getIListTypeDescriptor_ListSource

    EAttribute getIListTypeDescriptor_ListSource()

  Returns the meta object for the attribute '`List Source`'.

  Returns:
    the meta object for the attribute 'List Source'.
  See Also:
    `IListTypeDescriptor.getListSource()`, `getIListTypeDescriptor()`

### getIBoundedListTypeDescriptor

    EClass getIBoundedListTypeDescriptor()

  Returns the meta object for class '`IBounded List Type Descriptor`'.

  Returns:
    the meta object for class 'IBounded List Type Descriptor'.
  See Also:
    `IBoundedListTypeDescriptor`

### getERuntimeSource

    EEnum getERuntimeSource()

  Returns the meta object for enum '`ERuntime Source`'.

  Returns:
    the meta object for enum 'ERuntime Source'.
  See Also:
    `ERuntimeSource`

### getIType

    EDataType getIType()

  Returns the meta object for data type '`IType`'.

  Returns:
    the meta object for data type 'IType'.
  See Also:
    `org.eclipse.jdt.core.IType`

### getIJavaElement

    EDataType getIJavaElement()

  Returns the meta object for data type '`IJava Element`'.

  Returns:
    the meta object for data type 'IJava Element'.
  See Also:
    `org.eclipse.jdt.core.IJavaElement`

### getValueType

    EDataType getValueType()

  Returns the meta object for data type '`Value Type`'.

  Returns:
    the meta object for data type 'Value Type'.
  See Also:
    `ValueType`

### getSymbolFactory

    SymbolFactory getSymbolFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.